# Functor Typename.Make5

    module Make5: functor (X : Named_intf.S5) -> S5
      with type ('a, 'b, 'c, 'd, 'e) t := ('a, 'b, 'c, 'd, 'e) X.t

Parameters:

`X` | : | `Named_intf.S5`

    type ('a, 'b, 'c, 'd, 'e) t

    val typename_of_t : 'a Typename.typename ->
           'b Typename.typename ->
           'c Typename.typename ->
           'd Typename.typename ->
           'e Typename.typename -> ('a, 'b, 'c, 'd, 'e) t Typename.typename